EDIT - bug #5967

Adapt default update site to production update site.
07/08/2016 01:10 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.3

Severity: normal Found in Version:

Description

Adapt default update site to http:/cybertaxonomy.eu/download/taxeditor/update/stable/. Currently it is
http://cybertaxonomy.eu/download/taxeditor/update/nightly/

Generally this information should be stored together with the installed instance, NOT in .cdmLibrary or any other shared folder so that
2 different versions of the Editor should not influence each other, which currently seems to be the case.

Related issues:
Related to EDIT - bug #9851: Problems during search for updates when network ... In Progress

Associated revisions

Revision 5b1589bb - 09/07/2016 11:15 AM - Patrick Plitzner

fix #5967 Fix version check for stable release

History

#1 - 09/07/2016 07:15 AM - Patrick Plitzner
- Description updated

- Assignee changed from Patrick Plitzner to Andreas Muiller

to check if it works you have to delete eu.etaxonomy.taxeditor.store.prefs in folder .cdmLibrary/.metadata/.plugins/org.eclipse.core.runtime/.settings
to get rid of stored preferences

#2 - 09/07/2016 04:28 PM - Andreas Miiller

- Status changed from New to Resolved

#3 - 09/20/2016 10:32 AM - Andreas Miiller
- % Done changed from 0 to 80

This ticket is difficult to review before the release so we will do the review afterwards.

#4 - 10/04/2016 11:53 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

If no entry exists in eu.etaxonomy.taxeditor.store.prefs everything works as expected as far as | can see. Meaning, that stable versions use ..\stable
as update site, nightly versions use ..\nightly.

Remaining problem is that if this value is changed for some reason it is still stored in a user wide location instead of being instance dependent. If one
has >1 instances and both stable and nightly versions this may create problems.

However, the problem is small as usually one may not need to change the value of the preference at all so except for users who have already
installed old versions on there machine it is not expected that anybody is explicitly setting this value anymore.

We may create a new ticket for this remaining issue with low priority - or just leave it as it is and mentioning here that the second part of the ticket was
not implemented - on purpose at it is not relevant enough.

#5 - 10/24/2016 10:31 AM - Patrick Plitzner
http://cybertaxonomy.eu/download/taxeditor/update/stable/
http://cybertaxonomy.eu/download/taxeditor/update/nightly/

- Assignee changed from Patrick Plitzner to Andreas Miiller

| vote for not adding a new issue. | think the standard user only runs one instance which usually is the stable release. So once the update site is
correctly configured (either the user already has some pref files which he/she deletes or it is correctly set up by first installation) the updates should
always work for new releases.

#6 - 03/04/2022 05:08 PM - Andreas Miiller

- Private changed from Yes to No

#7 - 03/04/2022 05:11 PM - Andreas Miiller
- Related to bug #9851: Problems during search for updates when network delay is too big added

#8 - 03/04/2022 05:12 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

| agree that we can close the ticket as the remaining issue is small and since than most users will have reinstalled there instances.
